#!/usr/bin/env python

from moviepy.editor import *

video_with_alpha = VideoFileClip('video_with_alpha.mov', has_mask=True)
video_with_alpha_mask = video_with_alpha.mask

mask_video = ColorClip((240,134), col=(0,255,0)).set_mask(video_with_alpha_mask).set_duration(10).set_fps(24)
mask_video.write_videofile('mask_video.mov', codec='qtrle', with_mask=True)

big_buck_bunny = VideoFileClip('big_buck_bunny.mp4')
mask_from_mask_video = VideoFileClip('mask_video.mov', has_mask=True).mask

final_video = CompositeVideoClip([ColorClip((240,134), col=(44, 98, 186)).set_duration(10).set_fps(24), big_buck_bunny.set_mask(mask_from_mask_video)])

final_video.write_videofile('final_video.mp4')
